DominoCluster (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.DominoCluster interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface DominoCluster

All Superinterfaces:
  AppServerCluster, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface DominoCluster

extends AppServerCluster

Represents a domino cluster

Naming Rules:
  0="clusterName"
Persistable:
  true
Display Name:
  clusterName

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.AppServerCluster
`RUNNING, STOPPED`

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getClusterName()` Unique name of the cluster.
`boolean` | `hasClusterName()`
`void` | `setClusterName(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.app.AppServerCluster
`getIp, getPort, getServers, getStatus, getVipFunction, hasIp, hasPort, hasServers, hasStatus, hasVipFunction, setIp, setPort, setServers, setStatus, setVipFunction`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### setClusterName

    void setClusterName(java.lang.String s)

### getClusterName

    java.lang.String getClusterName()
                                    throws AttributeNotSetException

  Unique name of the cluster.

  Throws:
    `AttributeNotSetException`

### hasClusterName

    boolean hasClusterName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD